<?php

defined('BASEPATH') OR exit('No direct script access allowed');

class Vemail extends Start_Controller {

    public function index() {
        //$this->load->view('home/home');
        $valid_entry = true;
        $valid_login = false;
        $data = [];

        if ($_SERVER['REQUEST_METHOD'] == 'GET') {

            $data['verify_link'] = trim($this->input->get('vlnk'));

            if (true == $valid_entry) {
                if ($data['verify_link'] != '') {
                    $out = [];
                    $this->coregrade_webapi(COREGRADE_ACCOUNT_CREATEACC, $data, $out);
                    //print_r( $data );
                    //print_r( $out );
                    if (count($out) > 0 && isset($out["member_id"]) && $out["member_id"] > 0) {
                       //   $this->renderAuthPages('view_login', $data);
                        


                        //  redirect("page/index");
                    } else {
                        $error_message = "Invalid Username/Password";
                    }
                }
            }




            //    exit();
        }


        $this->renderAuthPages('view_login', $data);
    }

    public function resetpass() {
        //$this->load->view('home/home');
        //echo "START RESET 1";
        $this->load->view('auth/view_head');
        $this->load->view('auth/view_reset_password');
        $this->load->view('auth/view_foot');
    }

}
